{
    attributes = (
        {
            columnName = TYSA_ID; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = ""; }; 
            name = tysaId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = TYSA_LIBELLE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = "PROV-PRIM-RELI-DBM-CONRA"; }; 
            name = tysaLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }
    ); 
    attributesUsedForLocking = (tysaId, tysaLibelle); 
    className = org.cocktail.bibasse.server.metier.EOTypeSaisie; 
    classProperties = (tysaLibelle); 
    externalName = JEFY_BUDGET.Type_Saisie; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (tysaLibelle); 
        _javaClientClassName = org.cocktail.bibasse.client.metier.EOTypeSaisie; 
        _nameInObjectStore = BUDGET.Type_Saisie; 
    }; 
    name = TypeSaisie; 
    primaryKeyAttributes = (tysaId); 
}
